// PersonHome.java

package org.objectweb.jonas.jtests.beans.ebasic;

import java.rmi.RemoteException;
import java.util.Collection;
import javax.ejb.CreateException;
import javax.ejb.EJBHome;
import javax.ejb.FinderException;

/**
 * Home interface for the bean Person
 */
public interface PersonHome extends EJBHome {
    Person create(int i, String n) throws CreateException, RemoteException;
    Person findByPrimaryKey(java.lang.Object pk) throws FinderException, RemoteException;
    Person findByNumber(int number) throws FinderException, RemoteException;
    Person findByName(String name) throws FinderException, RemoteException;
    Collection findAll() throws FinderException, RemoteException;
}
